<template>
  <router-view v-slot="{ Component }" v-if="isRouterAlive">
    <keep-alive :include="store.getters.keepLiiveRoute">
      <Watermark :text="content" :color="'rgba(0, 0, 0, .15)'">
        <Component :is="Component"></Component>
      </Watermark>
    </keep-alive>
  </router-view>
</template>
<script setup>
import * as ocr from "@paddlejs-models/ocr";
import Watermark from "@/components/Watermark.vue";
import { ref, nextTick, provide, onMounted,getCurrentInstance } from "vue";
import { useStore } from "vuex";
import { getItem, setItem} from "@/utils/storage";
import { generateNewStyle, writeNewStyle } from "@/utils/theme";
import {timeValidate} from "@/utils/tools";
const { proxy } = getCurrentInstance();

const store = useStore();
generateNewStyle(store.getters.mainColor).then((newStyle) => {
  writeNewStyle(newStyle);
});
const isRouterAlive = ref(true);
const reload = () => {
  isRouterAlive.value = false;
  nextTick(() => {
    isRouterAlive.value = true;
  });
};
provide("reload", reload);
onMounted(() => {
  document.title = "林芝";
  frashJs()
  // initPage()
});

/**
 *@Descripttion:图片页面初始化
*@Author: PengShuai
*/
const initPage = async () => {
  try {
    await ocr.init();// 模型初始化
    imgIsLoad = true;
    proxy.$message({ type: "success",  message: "加载成功" });
  } catch (err) {
    proxy.$message({ type: "error",  message: "加载失败，请刷新页面" });
    imgIsLoad = false;
  }
}
const content=ref([])
const frashJs = () => {
 const sfzh= getItem("idEntityCard")
const userName=  getItem("USERNAME")
  const time = timeValidate()
  content.value=[userName,sfzh,time,"林芝哨岗系统","禁止泄露公民个人信息和警务工作秘密"]
}
</script>
<style lang="scss">
@import "./styles/index.scss";
body {
  margin: 0px;
  padding: 0px;
  font-size: 14px;
}
ul {
  margin: 0px;
  padding: 0px;
}
li {
  list-style-type: none;
}
#app {
  font-family: Helvetica Neue, Helvetica, PingFang SC, Hiragino Sans GB,
    Microsoft YaHei, SimSun, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #fff;
  overflow-x: auto;
  // background: #263445;
  background: #fff;
}

//只显示一排内容
.one_text_detail {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  overflow: hidden;
  text-overflow: ellipsis;
}
//只显示二排内容
.two_text_detail {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  text-overflow: ellipsis;
}
//只显示三排内容
.text_detail {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
  text-overflow: ellipsis;
}

// 不显示滚动条
.noScollLine::-webkit-scrollbar {
  width: 0 !important;
}

v-deep .el-loading-mask {
  background: rgba(0, 0, 0, 0.5) !important;
}

@font-face {
  font-family: "DigifaceWide";
  src: url("~@/assets/font/DigifaceWide.ttf");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "HANYILINGXINTIJIAN";
  src: url("~@/assets/font/HANYILINGXINTIJIAN-1.TTF");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "YSBTH";
  src: url("~@/assets/font/YSBTH.ttf");
  font-weight: normal;
  font-style: normal;
}
.bk_drawer_box {
  .el-drawer__header {
    background: #fff !important;
    font-weight: 400;
    font-size: 20px;
    color: #000000;
    line-height: 22px;
    text-align: left;
    text-transform: none;
    margin-bottom:0;
    height:40px;
  }
}
</style>
